% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/maxcut.R
\name{maxcut}
\alias{maxcut}
\title{Max-Cut Problem}
\usage{
maxcut(B)
}
\arguments{
\item{B}{A (weighted) adjacency matrix corresponding to a graph}
}
\value{
Returns an object of class sqlp_input, containing the following:

\item{blk}{A matrix object describing the block diagonal structure of the SQLP data}
\item{At}{A matrix object containing constraint matrices for the primal-dual problem}
\item{C}{A matrix object containing the constant c matrices in the primal objective function}
\item{b}{A vector containing the right hand side of the equality constraints in the primal problem}
\item{OPTIONS}{A list object specifying the value of parbarrier}
}
\description{
\code{maxcut} creates input for sqlp to solve the Max-Cut problem -
given a graph B, find the maximum cut of the graph
}
\details{
Determines the maximum cut for a graph B. Mathematical and implementation
details can be found in the vignette
}
\examples{
data(Bmaxcut)

out <- maxcut(Bmaxcut)
blk <- out$blk
At <- out$At
C <- out$C
b <- out$b

}

